GET api/MedicalExamcos/GetFacilityMEComponentList?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfFacilityMEComponentDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of FacilityMEComponentDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "FacilityCode": "sample string 2",
      "MEComponentId": 3,
      "ComponentName": "sample string 4",
      "IsComponentActive": true,
      "Sequence": 6,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:54:51.7266053-07:00",
      "DateUpdated": "2026-06-20T12:54:51.7266053-07:00",
      "UserIDCreated": 10,
      "UserIDUpdated": 11,
      "CompanyCode": "sample string 12",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "FacilityCode": "sample string 2",
      "MEComponentId": 3,
      "ComponentName": "sample string 4",
      "IsComponentActive": true,
      "Sequence": 6,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:54:51.7266053-07:00",
      "DateUpdated": "2026-06-20T12:54:51.7266053-07:00",
      "UserIDCreated": 10,
      "UserIDUpdated": 11,
      "CompanyCode": "sample string 12",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}